#ifndef DATETIMEWIDGETFACTORY_H
#define DATETIMEWIDGETFACTORY_H

#include "IxWidgetFactory.h"

class DateTimeWidget;

class DateTimeWidgetFactory : public IxWidgetFactory
{
public:
    DateTimeWidgetFactory();

public:
    virtual void create(qx::IxDataMember *dataMember, QWidget *parent);

    virtual QString type() const;

    virtual QWidget *getWidget() const;

    virtual IxWidget *getIxWidget() const;

private:
    DateTimeWidget *widget;
};

#endif // DATETIMEWIDGETFACTORY_H
